import { NewTreeNode } from './model/tree-node.model';
import { NewTreeModel } from './model/tree.model';
declare function buildArrayTree(obj: object, level: number): NewTreeNode[];
declare function buildObjectTree(arr: NewTreeModel[]): object;
declare function findParent(item: NewTreeModel, array: NewTreeModel[]): {};
declare function findChild(id: string, objParent: object, array: NewTreeModel[]): void;
declare const TreeFunctions: {
    buildArrayTree: typeof buildArrayTree;
    buildObjectTree: typeof buildObjectTree;
    findParent: typeof findParent;
    findChild: typeof findChild;
};
export default TreeFunctions;
